CheckBox (Control Ligero)

El control CheckBox sin ventanas es una versión ligera del control CheckBox intrínseco de Visual Basic. Un control CheckBox se muestra con uno de estos tres valores: marcado, sin marca o atenuado (sin determinar).

Sintaxis

WLCheck

Comentarios

El rasgo distintivo de un control ligero es la ausencia de la propiedad hWnd. Si su aplicación no hace uso de funciones API que requieren el parámetro hWnd, entonces el uso del mismo control en su versión ligera le permitirá ahorrar recursos de su equipo e iniciar más rápidamente las aplicaciones creadas con él.

Los controles ligeros no admiten DDE (Dynamic Data Exchange - Intercambio dinámico de datos). En lo que respecta a todo lo demás, el control en su versión ligera responde al mismo comportamiento que su equivalente de la versión estándar.

Nota para la distribución Este control forma parte de un grupo de controles ActiveX incluidos en el archivo MSWLess.ocx. Para usar este control en su aplicación, agregue el archivo MSWLess.ocx al proyecto. Cuando vaya a distribuir su aplicación, instale el archivo MSWLess.ocx en el directorio System o System32 de Microsoft Windows. Para obtener más información sobre cómo agregar un control ActiveX a un proyecto Visual Basic, vea "Standard ActiveX Controls."

Nota Este control está habilitado para Unicode. En caso de usarse en sistemas habilitados para Unicode (como por ejemplo Microsoft Windows NT), el control pasa los datos Unicode sin convertirlos. No obstante, en otros sistemas, los datos son convertidos de ANSI a Unicode e inversamente. Para obtener más información vea "ANSI, DBCS y Unicode: definiciones" en el Manual del programador.


ComboBox (Control Ligero)

El control ComboBox sin ventanas es una versión ligera del control ComboBox intrínseco de Visual Basic. Un control ComboBox combina las características de un control TextBox y de un control ListBox: los usuarios pueden escribir en la parte correspondiente al cuadro de texto o seleccionar un elemento en la parte de cuadro de lista del control.

Sintaxis

WLCombo

Comentarios

El rasgo distintivo de un control ligero es la ausencia de la propiedad hWnd. Si su aplicación no hace uso de funciones API que requieren el parámetro hWnd, entonces el uso del mismo control en su versión ligera le permitirá ahorrar recursos de su equipo e iniciar más rápidamente las aplicaciones creadas con él.

Los controles ligeros no admiten DDE (Dynamic Data Exchange - Intercambio dinámico de datos). En lo que respecta a todo lo demás, el control en su versión ligera responde al mismo comportamiento que su equivalente de la versión estándar.

Nota para la distribución Este control forma parte de un grupo de controles ActiveX incluidos en el archivo MSWLess.ocx. Para usar este control en su aplicación, agregue el archivo MSWLess.ocx al proyecto. Cuando vaya a distribuir su aplicación, instale el archivo MSWLess.ocx en el directorio System o System32 de Microsoft Windows. Para obtener más información sobre cómo agregar un control ActiveX a un proyecto Visual Basic, vea "Standard ActiveX Controls."

Nota Este control está habilitado para Unicode. En caso de usarse en sistemas habilitados para Unicode (como por ejemplo Microsoft Windows NT), el control pasa los datos Unicode sin convertirlos. No obstante, en otros sistemas, los datos son convertidos de ANSI a Unicode e inversamente. Para obtener más información vea "ANSI, DBCS y Unicode: definiciones" en el Manual del programador.


CommandButton (Control Ligero)

El control CommandButton sin ventanas es una versión ligera del control CommandButton intrínseco de Visual Basic. Utilice un control CommandButton para iniciar, interrumpir o finalizar un proceso.

Sintaxis

WLCommand

Comentarios

El rasgo distintivo de un control ligero es la ausencia de la propiedad hWnd. Si su aplicación no hace uso de funciones API que requieren el parámetro hWnd, entonces el uso del mismo control en su versión ligera le permitirá ahorrar recursos de su equipo e iniciar más rápidamente las aplicaciones creadas con él.

Los controles ligeros no admiten DDE (Dynamic Data Exchange - Intercambio dinámico de datos). En lo que respecta a todo lo demás, el control en su versión ligera responde al mismo comportamiento que su equivalente de la versión estándar.

Nota para la distribución Este control forma parte de un grupo de controles ActiveX incluidos en el archivo MSWLess.ocx. Para usar este control en su aplicación, agregue el archivo MSWLess.ocx al proyecto. Cuando vaya a distribuir su aplicación, instale el archivo MSWLess.ocx en el directorio System o System32 de Microsoft Windows. Para obtener más información sobre cómo agregar un control ActiveX a un proyecto Visual Basic, vea "Standard ActiveX Controls."

Nota Este control está habilitado para Unicode. En caso de usarse en sistemas habilitados para Unicode (como por ejemplo Microsoft Windows NT), el control pasa los datos Unicode sin convertirlos. No obstante, en otros sistemas, los datos son convertidos de ANSI a Unicode e inversamente. Para obtener más información vea "ANSI, DBCS y Unicode: definiciones" en el Manual del programador.


Frame (Control Ligero)

El control Frame sin ventanas es una versión ligera del control Frame intrínseco de Visual Basic.

Importante A diferencia del control Frame intrínseco, el control Frame ligero no es un contenedor verdadero. En su lugar, el control actúa tan solo como contenedor visual para otros controles ligeros. Para agrupar controles OptionButton ligeros, utilice la propiedad Group.

Sintaxis

WLFrame

Comentarios

El rasgo distintivo de un control ligero es la ausencia de la propiedad hWnd. Si su aplicación no hace uso de funciones API que requieren el parámetro hWnd, entonces el uso del mismo control en su versión ligera le permitirá ahorrar recursos de su equipo e iniciar más rápidamente las aplicaciones creadas con él.

Los controles ligeros no admiten DDE (Dynamic Data Exchange - Intercambio dinámico de datos). (El control Frame ligero tampoco puede contener otros controles, a diferencia de su vertiente intrínseca). En lo que respecta a todo lo demás, el control en su versión ligera responde al mismo comportamiento que su equivalente de la versión estándar.

Nota para la distribución Este control forma parte de un grupo de controles ActiveX incluidos en el archivo MSWLess.ocx. Para poder usar este control en su aplicación, es necesario agregar el archivo MSWLess.ocx al proyecto. Cuando vaya a distribuir su aplicación, instale el archivo MSWLess.ocx en el directorio System o System32 de Microsoft Windows. Para obtener más información sobre cómo agregar un control ActiveX a un proyecto Visual Basic, vea "Standard ActiveX Controls."

Nota Este control está habilitado para Unicode. En caso de usarse en sistemas habilitados para Unicode (como por ejemplo Microsoft Windows NT), el control pasa los datos Unicode sin convertirlos. No obstante, en otros sistemas, los datos son convertidos de ANSI a Unicode e inversamente. Para obtener más información vea "ANSI, DBCS y Unicode: definiciones" en el Manual del programador.


HScrollBar, VScrollBar (Controles Ligeros)

Los controles HScrollBar y VScrollBar sin ventanas son versiones ligeras de los controles HScrollBar y VScrollBar intrínsecos de Visual Basic.

Sintaxis

WLHScroll

WLVScroll

Comentarios

El rasgo distintivo de un control ligero es la ausencia de la propiedad hWnd. Si su aplicación no hace uso de funciones API que requieren el parámetro hWnd, entonces el uso del mismo control en su versión ligera le permitirá ahorrar recursos de su equipo e iniciar más rápidamente las aplicaciones creadas con él.

Los controles ligeros no admiten DDE (Dynamic Data Exchange - Intercambio dinámico de datos). En lo que respecta a todo lo demás, el control en su versión ligera responde al mismo comportamiento que su equivalente de la versión estándar.

Nota para la distribución Este control forma parte de un grupo de controles ActiveX incluidos en el archivo MSWLess.ocx. Para poder usar este control en su aplicación, es necesario agregar el archivo MSWLess.ocx al proyecto. Cuando vaya a distribuir su aplicación, instale el archivo MSWLess.ocx en el directorio System o System32 de Microsoft Windows. Para obtener más información sobre cómo agregar un control ActiveX a un proyecto Visual Basic, vea "Standard ActiveX Controls."

Nota Este control está habilitado para Unicode. En caso de usarse en sistemas habilitados para Unicode (como por ejemplo Microsoft Windows NT), el control pasa los datos Unicode sin convertirlos. No obstante, en otros sistemas, los datos son convertidos de ANSI a Unicode e inversamente. Para obtener más información vea "ANSI, DBCS y Unicode: definiciones" en el Manual del programador.


ListBox (Control Ligero)

El control sin ventanas ListBox es una versión ligera del control intrínseco ListBox de Visual Basic. Un control ListBox muestra una lista en la que el usuario puede seleccionar uno o más elementos. Cuando el número de elementos presentes en el control sobrepasa el número de los que puede mostrar, una barra de desplazamiento al control ListBox se agrega automáticamente.

Sintaxis

WLList

Comentarios

El rasgo distintivo de un control ligero es la ausencia de la propiedad hWnd. Si su aplicación no hace uso de funciones API que requieren el parámetro hWnd, entonces el uso del mismo control en su versión ligera le permitirá ahorrar recursos de su equipo e iniciar más rápidamente las aplicaciones creadas con él.

Los controles ligeros no admiten DDE (Dynamic Data Exchange - Intercambio dinámico de datos). En lo que respecta a todo lo demás, el control en su versión ligera responde al mismo comportamiento que su equivalente de la versión estándar.

Nota para la distribución Este control forma parte de un grupo de controles ActiveX incluidos en el archivo MSWLess.ocx. Para poder usar este control en su aplicación, es necesario agregar el archivo MSWLess.ocx al proyecto. Cuando vaya a distribuir su aplicación, instale el archivo MSWLess.ocx en el directorio System o System32 de Microsoft Windows. Para obtener más información sobre cómo agregar un control ActiveX a un proyecto Visual Basic, vea "Standard ActiveX Controls."

Nota Este control está habilitado para Unicode. En caso de usarse en sistemas habilitados para Unicode (como por ejemplo Microsoft Windows NT), el control pasa los datos Unicode sin convertirlos. No obstante, en otros sistemas, los datos son convertidos de ANSI a Unicode e inversamente. Para obtener más información vea "ANSI, DBCS y Unicode: definiciones" en el Manual del programador.


OptionButton (Control Ligero)

El control sin ventanas OptionButton es una versión ligera del control intrínseco OptionButton de Visual Basic. Un control OptionButton sirve a menudo para ofrecer la posibilidad de habilitar o deshabilitar una opción: se utiliza frecuentemente acompañado de un control Frame.

Importante Debido a que el control Frame ligero no es un contenedor verdadero, es necesario usar la propiedad Group para crear agrupaciones lógicas de controles OptionButton.

Sintaxis

WLOption

Comentarios

El rasgo distintivo de un control ligero es la ausencia de la propiedad hWnd. Si su aplicación no hace uso de funciones API que requieren el parámetro hWnd, entonces el uso del mismo control en su versión ligera le permitirá ahorrar recursos de su equipo e iniciar más rápidamente las aplicaciones creadas con él.

Los controles ligeros no admiten DDE (Dynamic Data Exchange - Intercambio dinámico de datos). En todo lo demás excepto en un solo punto, el control OptionButton sin ventanas responde al mismo comportamiento que su equivalente en versión estándar. La única excepción reside en el uso de la propiedad Group para crear grupos de controles OptionButton que se excluyen mútuamente. Vea "Group (Propiedad)" para obtener más información.

Nota para la distribución Este control forma parte de un grupo de controles ActiveX incluidos en el archivo MSWLess.ocx. Para poder usar este control en su aplicación, es necesario agregar el archivo MSWLess.ocx al proyecto. Cuando vaya a distribuir su aplicación, instale el archivo MSWLess.ocx en el directorio System o System32 de Microsoft Windows. Para obtener más información sobre cómo agregar un control ActiveX a un proyecto Visual Basic, vea "Standard ActiveX Controls."

Nota Este control está habilitado para Unicode. En caso de usarse en sistemas habilitados para Unicode (como por ejemplo Microsoft Windows NT), el control pasa los datos Unicode sin convertirlos. No obstante, en otros sistemas, los datos son convertidos de ANSI a Unicode e inversamente. Para obtener más información vea "ANSI, DBCS y Unicode: definiciones" en el Manual del programador.


TextBox (Control Ligero)

El control TextBox sin ventanas es una versión ligera del control TextBox intrínseco de Visual Basic. Se designa a veces al control TextBox con el nombre de campo de edición, o control de edición y se utiliza para mostrar una información introducida bien en tiempo de diseño, bien por el usuario o asignada al control por programa en tiempo de ejecución.

Sintaxis

WLText

Comentarios

El rasgo distintivo de un control ligero es la ausencia de la propiedad hWnd. Si su aplicación no hace uso de funciones API que requieren el parámetro hWnd, entonces el uso del mismo control en su versión ligera le permitirá ahorrar recursos de su equipo e iniciar más rápidamente las aplicaciones creadas con él.

Los controles ligeros no admiten DDE (Dynamic Data Exchange - Intercambio dinámico de datos). En lo que respecta a todo lo demás, el control en su versión ligera responde al mismo comportamiento que su equivalente de la versión estándar.

Nota para la distribución Este control forma parte de un grupo de controles ActiveX incluidos en el archivo MSWLess.ocx. Para poder usar este control en su aplicación, es necesario agregar el archivo MSWLess.ocx al proyecto. Cuando vaya a distribuir su aplicación, instale el archivo MSWLess.ocx en el directorio System o System32 de Microsoft Windows. Para obtener más información sobre cómo agregar un control ActiveX a un proyecto Visual Basic, vea "Standard ActiveX Controls."

Nota Este control está habilitado para Unicode. En caso de usarse en sistemas habilitados para Unicode (como por ejemplo Microsoft Windows NT), el control pasa los datos Unicode sin convertirlos. No obstante, en otros sistemas, los datos son convertidos de ANSI a Unicode e inversamente. Para obtener más información vea "ANSI, DBCS y Unicode: definiciones" en el Manual del programador.


No se encuentra el tema

No se halló el tema correspondiente. A continuación enumeramos algunas posibles razones y sus soluciones:

  • El archivo (.chm) que contiene el tema de destino no se encuentra en la ubicación esperada.

    Solución: vuelva a ejecutar la instalación de la Biblioteca MSDN.

  • El archivo (.chm) que contiene el tema actual o el de destino no está actualizado y el vínculo ya no es válido.

    Solución: instale la última versión de la Biblioteca MSDN.

  • El CD de la Biblioteca MSDN no está en la unidad de CD-ROM.

    Solución: inserte el CD en la unidad.


Group (Propiedad)

Devuelve o establece el identificador de grupo de un control OptionButton sin ventanas.

Sintaxis

objeto.Group [ = cadena]

La sintaxis de la propiedad Group consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
cadena | Una cadena única que identifica los miembros de un grupo OptionButton.

Comentarios

Una práctica habitual para diferenciar un grupo de controles OptionButton consiste en colocarlos en un control Frame, porque éste posee ventana (su propiedad hWnd). Sin embargo, por naturaleza, los controles ligeros no tienen ventana. Establezca la propiedad Group de un conjunto de controles con la misma cadena única para hacer una selección dentro de un grupo de controles OptionButton.


Ejemplo de la propiedad Group

En el ejemplo siguiente se crean tres conjuntos de controles ligeros OptionButton. Para probar el ejemplo, inserte seis controles OptionButton en un formulario. Pegue el código en la sección Declaraciones del módulo de código, y lance el proyecto.

Option Explicit

Private Sub Form_Load()
   Dim i As Integer
   For i = 0 To 5
      Select Case i
         Case 0 To 1
            Me.Controls(i).Group = "Pez"
            Me.Controls(i).Caption = "Pez " & i
         Case 2 To 3
            Me.Controls(i).Group = "Ave"
            Me.Controls(i).Caption = "Ave " & i
         Case 4 To 5
            Me.Controls(i).Group = "Dinosaurio"
            Me.Controls(i).Caption = "Dinosaurio " & i
      End Select
   Next i
End Sub